# API Reference

- [Introduction](https://docs.aevo.xyz/api-reference/introduction.md)
- [API Key Setup](https://docs.aevo.xyz/api-reference/api-key-setup.md)
- [Via UI](https://docs.aevo.xyz/api-reference/api-key-setup/api-key-setup-via-ui.md)
- [Via API](https://docs.aevo.xyz/api-reference/api-key-setup/api-key-setup-api.md)
- [Signing Orders](https://docs.aevo.xyz/api-reference/signing-orders.md)
- [Errors](https://docs.aevo.xyz/api-reference/errors.md)
- [Rate Limits](https://docs.aevo.xyz/api-reference/rate-limits.md)
- [Orderbook Checksum](https://docs.aevo.xyz/api-reference/orderbook-checksum.md)
- [REST API](https://docs.aevo.xyz/api-reference/urls.md)
- [Authentication](https://docs.aevo.xyz/api-reference/urls/authentication.md)
- [WebSocket API](https://docs.aevo.xyz/api-reference/websocket-api.md)
- [Endpoints](https://docs.aevo.xyz/api-reference/websocket-api/endpoints.md)
- [Request Format](https://docs.aevo.xyz/api-reference/websocket-api/messaging-format.md)
- [Operations](https://docs.aevo.xyz/api-reference/websocket-api/operations.md)
- [Cancel on Disconnect](https://docs.aevo.xyz/api-reference/websocket-api/cancel-on-disconnect.md)
- [Public Operations](https://docs.aevo.xyz/api-reference/websocket-api/public-operations.md)
- [PUBLISH Channels](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/publish-channel.md)
- [PUBLISH Ping](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/publish-ping.md)
- [SUBSCRIBE Ticker](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/sub-ticker.md)
- [SUBSCRIBE Ticker Throttled](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/subscribe-ticker-throttled.md)
- [SUBSCRIBE Book Ticker](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/subcribe-book-ticker.md)
- [SUBSCRIBE Orderbook](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/subscribe.md)
- [SUBSCRIBE Orderbook Throttled](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/subscribe-orderbook-throttled.md)
- [SUBSCRIBE Index](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/subcribe-index.md)
- [SUBSCRIBE Trades](https://docs.aevo.xyz/api-reference/websocket-api/public-operations/subcribe-trades.md)
- [Private Operations](https://docs.aevo.xyz/api-reference/websocket-api/private-operations.md)
- [Authentication](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/websocket-authentication.md)
- [PUBLISH Create Order](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/publish-create-order.md)
- [PUBLISH Edit Order](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/publish-edit-order.md)
- [PUBLISH Cancel Order](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/publish-cancel-order.md)
- [PUBLISH Cancel All Orders](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/publish-cancel-all-orders.md)
- [PUBLISH Status](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/get-status.md)
- [SUBSCRIBE Orders](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/subcribe-orders.md)
- [SUBSCRIBE Fills](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/subcribe-fills.md)
- [SUBSCRIBE Positions](https://docs.aevo.xyz/api-reference/websocket-api/private-operations/subcribe-positions.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
